> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# كتالوج واجهات برمجة محفظة الهوية الرقمية

> اكتشف endpoints محافظ الهوية الرقمية في Didit، وتغطية الدول، والمدخلات المطلوبة، وتوفرها لتطبيقك.

استخدم هذا الكتالوج المصادَق عليه للاطلاع على endpoint بدء كل محفظة والدول المدعومة والمدخلات المطلوبة.
يُطبَّق الحقل `available` على التطبيق الذي يحدده مفتاح API الخاص بك في البيئة التي تستدعيها.
اعرض فقط المحافظ المتاحة لذلك التطبيق والتي تدعم الدولة التي اختارها الشخص.
لا يزال التحقق من صحة المدخلات ومتطلبات الرصيد والأسعار التعاقدية المعمول بها يُجرى عند بدء عملية التحقق.

قد تظهر محفظة في الكتالوج بينما تكون قيمة `available` هي `false`.
لا يفعّل الكتالوج هذه المحفظة ولا يتجاوز متطلبات الإنتاج الخاصة بها.
يمكن لتطبيقات البيئة التجريبية محاكاة محافظ غير متاحة بعد للمصادقة في بيئة الإنتاج.

اتبع [دليل تكامل API للمحفظة](https://docs.didit.me/ar/standalone-apis/digital-id-wallets.md) لبدء عملية التحقق واستلام النتيجة.


## OpenAPI

````yaml ar/openapi-25.json GET /v3/id-verification/wallets/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: API التحقق من الهوية. قم بالمصادقة باستخدام الرأس x-api-key.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/:
    get:
      tags:
        - Digital ID wallets
      summary: عرض محافظ الهوية الرقمية
      description: >-
        كل محفظة Digital ID مع endpoint البدء الخاص بها والدول والحقول المطلوبة
        وما إذا كان بإمكان هذا التطبيق بدؤها في هذه البيئة الآن. كونها مدرجة لا
        يعني أنها قيد التشغيل.
      operationId: list_wallets
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletCatalogResponse'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
          description: 'بيانات اعتماد مفقودة (x-api-key أو Authorization: Bearer).'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url https://verification.didit.me/v3/id-verification/wallets/ \
              --header 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.list()
            print(result)
        - lang: javascript
          label: Node.js
          source: |-
            import Didit from "@didit-protocol/sdk-node";

            // Reads DIDIT_API_KEY.
            const didit = new Didit();

            const result = await didit.idWallets.list();
            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.List(ctx)\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: |-
            import me.didit.Didit;

            // Reads DIDIT_API_KEY.
            Didit client = new Didit();

            var result = client.idWallets().list();
            System.out.println(result);
        - lang: php
          label: PHP
          source: |-
            <?php

            require 'vendor/autoload.php';

            use Didit\DiditClient;

            // Reads DIDIT_API_KEY.
            $didit = new DiditClient();

            $result = $didit->idWallets->list();
            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: |-
            require "didit"

            # Reads DIDIT_API_KEY.
            didit = Didit::Client.new

            result = didit.id_wallets.list
            puts result.to_h
        - lang: csharp
          label: .NET
          source: |-
            using System;
            using System.Text.Json;
            using Didit;

            // Reads DIDIT_API_KEY.
            using var client = new DiditClient();

            var result = await client.IdWallets.ListAsync();
            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiWalletCatalogResponse:
      type: object
      properties:
        wallets:
          type: array
          items:
            $ref: '#/components/schemas/DigitalIdWalletApiWalletCatalogEntry'
      required:
        - wallets
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWalletCatalogEntry:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        path:
          type: string
          description: endpoint البدء الخاص بالمحفظة نفسها.
        countries:
          type: array
          items:
            type: string
        issuing_authority:
          type: string
        level_of_assurance:
          type: string
          nullable: true
        interaction:
          $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
        required_fields:
          type: array
          items:
            type: string
        available:
          type: boolean
          description: >-
            ما إذا كان بإمكان هذا التطبيق بدء تشغيله في هذه البيئة الآن. كونه
            مدرجاً لا يعني أنه في بيئة الإنتاج.
      required:
        - available
        - countries
        - id
        - interaction
        - issuing_authority
        - level_of_assurance
        - name
        - path
        - required_fields
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        مفتاح API الخاص بتطبيقك، من Developers -> API keys في Business Console.
        يمتلك المفتاح الأساسي وصولاً كاملاً. يمكن تحديد نطاق المفتاح المسمى: لا
        شيء، أو قراءة، أو كتابة لكل مورد، ومحدوداً ببعض مسارات العمل أو بالجلسات
        المقبولة، وبقائمة من عناوين IP، وبتاريخ انتهاء الصلاحية. يشير 401 إلى أن
        المفتاح غير صحيح أو ملغى أو منتهي الصلاحية؛ ويشير 403 إلى أنه لم يتم
        إرسال أي مفتاح، أو أن المفتاح ليس لديه حق الوصول إلى هذا المورد أو
        الإجراء، أو أن الطلب جاء من عنوان خارج قائمة عناوين IP الخاصة به؛ ويشير
        404 في مسار جلسة إلى أن الجلسة خارج مسارات العمل أو الحالات الخاصة
        بالمفتاح. يتلقى المفتاح الذي لا يمتلك حق الوصول إلى الوسائط عناوين URL
        للصور ومقاطع الفيديو وملفات PDF كـ null، ويتلقى المفتاح الذي لا يمتلك
        إذن كتابة للجلسات روابط الجلسة وtoken كـ null. راجع
        https://docs.didit.me/console/api-keys.
    BearerAuth:
      type: http
      scheme: bearer
      description: token الوصول الخاص باعتماد العميل للتطبيق.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.